<bugID>890789<Summary>[Australis] On Mac, the bookmarks button should not have a dropdown</Summary><Description>Split from bug 865199, which became confusing because people were asking for customization options (rather than better defaults) and for weird reasons.

On Mac, the dropdown is redundant with the Bookmarks menu that is part of the always-visible Mac OS X menu bar.  (The menu-bar menu is actually better, since it's a bigger click target and has more space for its menu.)

Since the dropdown is redundant on Mac, it's silly for it to take up space on the main toolbar.  (It also makes the toolbar look unbalanced, but that's a minor thing.)</Description></bugID>